moeoDiversityThenFitnessComparator(3)

NAME
moeoDiversityThenFitnessComparator - Functor allowing to compare two solutions according to their diversity values, then according to their fitness values.

SYNOPSIS

#include <moeoComparator.h>

Inherits moeoComparator< MOEOT >< MOEOT >.

  Public Member Functions
const bool operator() (const MOEOT &_moeo1, const MOEOT &_moeo2)
Returns true if _moeo1 is greater than _moeo2 according to their diversity values, then according to their fitness values.

Detailed Description

  template<class MOEOT> class moeoDiversityThenFitnessComparator< MOEOT >
Functor allowing to compare two solutions according to their diversity values, then according to their fitness values.

Definition at line 111 of file moeoComparator.h.

Member Function Documentation

  template<class MOEOT> const bool moeoDiversityThenFitnessComparator< MOEOT >::operator() (const MOEOT & _moeo1, const MOEOT & _moeo2) [inline]

Returns true if _moeo1 is greater than _moeo2 according to their diversity values, then according to their fitness values.

Parameters:
    _moeo1 the first solution
    _moeo2 the second solution

Definition at line 119 of file moeoComparator.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.